Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pentaho.di.trans.steps.xmlinput
Class XMLInputFieldPosition

    java.lang.Object
      org.pentaho.di.trans.steps.xmlinput.XMLInputFieldPosition

All Implemented Interfaces:
  Cloneable

    public class XMLInputFieldPosition

extends Object
implements Cloneable

Field Summary
`static String` | `NR_MARKER`
`static int` | `XML_ATTRIBUTE`
`static int` | `XML_ELEMENT`
`static int` | `XML_ROOT`

Constructor Summary
`XMLInputFieldPosition(String encoded)` Construnct a new XMLFieldPosition based on an a code: E=Elementame, A=Attributename
`XMLInputFieldPosition(String name, int type)` Create a new XML Input Field position.
`XMLInputFieldPosition(String name, int type, int elementNr)` Create a new XML Input Field position.

Method Summary
`Object` | `clone()`
`static String` | `encodePath(List<XMLInputFieldPosition> path)` Encode the path to an XML element or attribute
`int` | `getElementNr()`
`String` | `getName()`
`int` | `getType()`
`void` | `setElementNr(int elementNr)`
`void` | `setName(String name)`
`void` | `setType(int type)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### XML_ELEMENT

    public static final int XML_ELEMENT

See Also:
  Constant Field Values

### XML_ATTRIBUTE

    public static final int XML_ATTRIBUTE

See Also:
  Constant Field Values

### XML_ROOT

    public static final int XML_ROOT

See Also:
  Constant Field Values

### NR_MARKER

    public static final String NR_MARKER

See Also:
  Constant Field Values

Constructor Detail

### XMLInputFieldPosition

    public XMLInputFieldPosition(String name,
                                 int type)

  Create a new XML Input Field position.

  Parameters:
    `name` - the name of the element or attribute
    `type` - Element or Attribute (XML_ELEMENT, XML_ATTRIBUTE)

### XMLInputFieldPosition

    public XMLInputFieldPosition(String name,
                                 int type,
                                 int elementNr)

  Create a new XML Input Field position.

  Parameters:
    `name` - the name of the element or attribute
    `type` - Element or Attribute (XML_ELEMENT, XML_ATTRIBUTE)
    `elementNr` - the element number to pick.

### XMLInputFieldPosition

    public XMLInputFieldPosition(String encoded)
                          throws org.pentaho.di.core.exception.KettleValueException

  Construnct a new XMLFieldPosition based on an a code: E=Elementame, A=Attributename

  Parameters:
    `encoded` -
  Throws:
    `org.pentaho.di.core.exception.KettleValueException`

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getName

    public String getName()

  Returns:
    Returns the name.

### setName

    public void setName(String name)

  Parameters:
    `name` - The name to set.

### getType

    public int getType()

  Returns:
    Returns the type.

### setType

    public void setType(int type)

  Parameters:
    `type` - The type to set.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`

### getElementNr

    public int getElementNr()

  Returns:
    Returns the elementNr.

### setElementNr

    public void setElementNr(int elementNr)

  Parameters:
    `elementNr` - The elementNr to set.

### encodePath

    public static final String encodePath(List<XMLInputFieldPosition> path)

  Encode the path to an XML element or attribute

  Parameters:
    `path` - An ArrayList of XMLInputFieldPosition
  Returns:
    the path encoded

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD